@ Object WorkFrame Editor
@ =======================
@
@ keywords file for the keywords highlighting (C/C++)
@ (EPM-kompatible)
@
@ This file defines how the editor should draw C/C++ keywords. This
@ file should be stored in the installation path of the editor.
@
@ Format of the file
@
@ The first character of the first line is the "special" character.
@ If it appears at the beginning of a line after, it is
@ either followed by a space and marks then a comment, or
@ by any other character and is then a topic name.
@ Currently the only topics are :
@  DELIM
@     "start string" "end string" "bg color" "fg color" "escape character" "column"
@     What's between the "start" and "end" delimiters is set to the "color" color.
@     If no "end" is specified, the whole line after any "start" string is colored.
@
@  MULTILINECOMMENT
@     "start string" "end string" "bg color" "fg color"
@     What's between "start" and "end" delimiters is set to the "color".
@     You must specify an "end" delimiter, you can only specify one MULTILINECOMMENT.
@     "start" an "end" must not contain caracters specified in the CHARSET section.
@
@  KEYWORDS
@     "name" "fg color" "bg color"
@     They must include only characters specified in the CHARSET section, case sensitive.
@
@  INSENSITIVE
@     like KEYWORDS but not case sensitve
@
@
@  CHARSET
@     "string including all characters"
@     List of characters allowed in the names of the KEYWORDS sections.
@
@  The background and foreground colors are values between -1 and 15:
@   0 = black
@   1 = blue
@   2 = red
@   3 = pink
@   4 = green
@   5 = cyan
@   6 = yellow
@   7 = brown
@   8 = dark gray
@   9 = dark blue
@  10 = dark red
@  11 = dark pink
@  12 = dark green
@  13 = dark cyan
@  14 = pale gray
@  15 = white
@  -1 = default color selected in the settings-notebook
@
@  Start:
@
@DELIM
@
@ Start   Color Color  End     Escape
@ string  bg    fg     string  character
//todo   -1     2
//Todo   -1     2
//ToDo   -1     2
//TODO   -1     2
  "        -1     12   "       \
  '        -1     4   '       \
  //       -1     8
@
@MULTILINECOMMENT
@
/*  -1 8    */
@
@CHARSET
@
abcdefghijklmnopqrstuvwxyz_#ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
@
@KEYWORDS
@
@ -------------------- C pre-processor keywords ---------------------------
#define    -1   9
#elif      -1   9
#else      -1   9
#endif     -1   9
#include   -1   9
#if        -1   9
#ifdef     -1   9
#ifndef    -1   9
#pragma    -1   9
#undef     -1   9
@   -------------------C/ C++ language constructs -------------------------
and        -1   1
and_eq     -1   1
asm        -1   1
auto       -1   1
bitand     -1   1
bitor      -1   1
bool       -1   1
break      -1   1
case       -1   1
catch      -1   1
char       -1   1
class      -1   1
compl      -1   1
const      -1   1
const_cast -1   1
continue   -1   1
default    -1   1
delete     -1   1
do         -1   1
double     -1   1
dynamic_cast -1   1
enum       -1   1
else       -1   1
explicit   -1   1
extern     -1   1
export     -1   1
false      -1   1
float      -1   1
for        -1   1
friend     -1   1
goto       -1   1
if         -1   1
int        -1   1
inline     -1   1
long       -1   1
mutable    -1   1
namespace  -1   1
new        -1   1
not        -1   1
not_eq     -1   1
operator   -1   1
or         -1   1
or_eq      -1   1
main       -1   2
private    -1   1
protected  -1   1
public     -1   1
register   -1   1
reinterpret_cast -1   1
return     -1   1
short      -1   1
signed     -1   1
sizeof     -1   1
static     -1   1
static_cast -1   1
struct     -1   1
switch     -1   1
template   -1   1
this       -1   1
throw      -1   1
true       -1   1
try        -1   1
typedef    -1   1
typeid     -1   1
typename   -1   1
union      -1   1
unsigned   -1   1
using      -1   1
virtual    -1   1
void       -1   1
volatile   -1   1
while      -1   1
xor        -1   1
xor_eq     -1   1
@ ---------------------------- C functions ---------------------------
freopen    -1 13
fflush     -1 13
fopen      -1   13
fclose     -1   13
remove     -1   13
rename     -1   13
tmpfile    -1   13
tmpnam     -1   13
setvbuf    -1   13
setbuf     -1   13
fprintf    -1   13
printf     -1   13
sprintf    -1   13
vprintf    -1   13
vfprintf   -1   13
vsprintf   -1   13
fscanf     -1   13
scanf      -1   13
sscanf     -1   13
fgetc      -1   13
fgets      -1   13
fputc      -1   13
fputs      -1   13
getc       -1   13
getchar    -1   13
gets       -1   13
putc       -1   13
putchar    -1   13
puts       -1   13
ungetc     -1   13
fread      -1   13
FILE       -1   13
stdin      -1   13
stderr     -1   13
stdout     -1   13
size_t     -1   13
fread      -1   13
fwrite     -1   13
fseek      -1   13
ftell      -1   13
rewind     -1   13
fgetpos    -1   13
fsetpos    -1   13
SEEK_SET   -1   13
SEEK_CUR   -1   13
SEEK_END   -1   13
fpos_t     -1   13
clearerr   -1   13
feof       -1   13
ferror     -1   13
perror     -1   13
isalnum    -1   13
isalpha    -1   13
iscntrl    -1   13
isdigit    -1   13
isgraph    -1   13
islower    -1   13
isprint    -1   13
ispunct    -1   13
isspace    -1   13
isupper    -1   13
isxdigit   -1   13
tolower    -1   13
toupper    -1   13
strcpy     -1   13
strncpy    -1   13
strcat     -1   13
strncat    -1   13
strcmp     -1   13
strncmp    -1   13
strchr     -1   13
strrchr    -1   13
strspn     -1   13
strcspn    -1   13
strpbrk    -1   13
strstr     -1   13
strlen     -1   13
strerror   -1   13
strtok     -1   13
memcpy     -1   13
memmove    -1   13
memcmp     -1   13
memchr     -1   13
memset     -1   13
sin        -1   13
cos        -1   13
tan        -1   13
asin       -1   13
acos       -1   13
atan       -1   13
atan2      -1   13
sinh       -1   13
cosh       -1   13
tanh       -1   13
exp        -1   13
log        -1   13
log10      -1   13
pow        -1   13
sqrt       -1   13
ceil       -1   13
floor      -1   13
fabs       -1   13
ldexp      -1   13
frexp      -1   13
modf       -1   13
fmod       -1   13
atof       -1   13
atoi       -1   13
atol       -1   13
strtod     -1   13
strtol     -1   13
strtoul    -1   13
rand       -1   13
srand      -1   13
calloc     -1   13
malloc     -1   13
realloc    -1   13
free       -1   13
abort      -1   13
exit       -1   13
atexit     -1   13
system     -1   13
getenv     -1   13
bsearch    -1   13
qsort      -1   13
abs        -1   13
labs       -1   13
div        -1   13
div_t      -1   13
ldiv       -1   13
ldiv_t     -1   13
assert     -1   13
va_list    -1   13
va_start   -1   13
va_arg     -1   13
va_end     -1   13
setjmp     -1   13
jmp_buf    -1   13
longjmp    -1   13
signal     -1   13
SIGABRT    -1   13
SIGFPE     -1   13
SIGILL     -1   13
SIGINT     -1   13
SIGSEV     -1   13
SIGTERM    -1   13
SIG_ERR    -1   13
raise      -1   13
clock_t    -1   13
clock      -1   13
time_t     -1   13
time       -1   13
difftime   -1   13
mktime     -1   13
tm         -1   13
asctime    -1   13
ctime      -1   13
gmtime     -1   13
localtime  -1   13
strftime   -1   13
CHAR_BIT   -1   13
CHAR_MAX   -1   13
UCHAR_MAX  -1   13
SCHAR_MAX  -1   13
CHAR_MIN   -1   13
SCHAR_MIN  -1   13
INT_MAX    -1   13
INT_MIN    -1   13
LONG_MAX   -1   13
LONG_MIN   -1   13
SCHAR_MAX  -1   13
SCHAR_MIN  -1   13
SHRT_MAX   -1   13
SHRT_MIN   -1   13
UCHAR_MAX  -1   13
UINT_MAX   -1   13
ULONG_MAX  -1   13
USHRT_MAX  -1   13
FLT_RADIX  -1   13
FLT_ROUNDS -1   13
FLT_DIG    -1   13
FLT_EPSILON   -1   13
FLT_MANT_DIG  -1   13
FLT_MAX       -1   13
FLT_MAX_EXP   -1   13
FLT_MIN       -1   13
FLT_MIN_EXP   -1   13
DBL_DIG       -1   13
DBL_EPSILON   -1   13
DBL_MANT_DIG  -1   13
DBL_MAX       -1   13
DBL_MAX_EXP   -1   13
DBL_MIN       -1   13
DBL_MIN_EXP   -1   13
@   --------------- linker/other directives -----------------------------
_export    -1   7
_Export    -1   7
_export_   -1   7
__export   -1   7
hdrstop    -1   7
defined    -1   7
@   --------------- OS/2 data types and macros --------------------------
HWND       -1   1
BYTE       -1   1
MRESULT    -1   1
ULONG      -1   1
LONG       -1   1
USHORT     -1   1
SHORT      -1   1
UCHAR      -1   1
CHAR       -1   1
MPARAM     -1   1
PVOID      -1   1
BOOL       -1   1
TRUE       -1   1
FALSE      -1   1
NULL       -1   1
PSZ        -1   1
ATOM       -1   1
NULLHANDLE     -1   1
SHORT2FROMMP   -1   3
SHORT1FROMMP   -1   3
MRFROM2SHORT   -1   3
MPFROMP        -1   3
MRFROMHWND     -1   3
MRFROMCHAR     -1   3
MRFROMSHORT    -1   3
MRFROMSH2CH    -1   3
MRFROMLONG     -1   3
PVOIDFROMMP    -1   3
HWNDFROMMP     -1   3
CHAR1FROMMP    -1   3
CHAR2FROMMP    -1   3
CHAR3FROMMP    -1   3
CHAR4FROMMP    -1   3
